#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newGameDlg_ui.ui'
**
** Created: 2012-10-06T20:42:12
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newGameDlg_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qslider.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlineedit.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "minimap.h"

/*
 *  Constructs a NewGameDlgUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewGameDlgUI::NewGameDlgUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewGameDlgUI" );
    NewGameDlgUILayout = new QVBoxLayout( this, 11, 6, "NewGameDlgUILayout"); 

    tqlayout9 = new QHBoxLayout( 0, 0, 6, "tqlayout9"); 

    tqlayout4 = new QVBoxLayout( 0, 0, 6, "tqlayout4"); 

    labelPlayers = new QLabel( this, "labelPlayers" );
    tqlayout4->addWidget( labelPlayers );

    sliderPlayers = new QSlider( this, "sliderPlayers" );
    sliderPlayers->setMinValue( 2 );
    sliderPlayers->setMaxValue( 9 );
    sliderPlayers->setOrientation( QSlider::Horizontal );
    tqlayout4->addWidget( sliderPlayers );

    labelPlayerList = new QLabel( this, "labelPlayerList" );
    tqlayout4->addWidget( labelPlayerList );

    listPlayers = new QListView( this, "listPlayers" );
    listPlayers->addColumn( tr2i18n( "Name" ) );
    listPlayers->addColumn( tr2i18n( "New Column" ) );
    tqlayout4->addWidget( listPlayers );

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 

    labelNewPlayer = new QLabel( this, "labelNewPlayer" );
    tqlayout3->addWidget( labelNewPlayer );

    newPlayer = new QLineEdit( this, "newPlayer" );
    newPlayer->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 1, 0, newPlayer->sizePolicy().hasHeightForWidth() ) );
    tqlayout3->addWidget( newPlayer );
    tqlayout4->addLayout( tqlayout3 );

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer2 );

    addPlayer = new QPushButton( this, "addPlayer" );
    tqlayout2->addWidget( addPlayer );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer1 );
    tqlayout4->addLayout( tqlayout2 );
    tqlayout9->addLayout( tqlayout4 );
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
    tqlayout9->addItem( spacer5 );

    tqlayout8 = new QVBoxLayout( 0, 0, 6, "tqlayout8"); 

    labelPlanets = new QLabel( this, "labelPlanets" );
    tqlayout8->addWidget( labelPlanets );

    sliderPlanets = new QSlider( this, "sliderPlanets" );
    sliderPlanets->setMinValue( 1 );
    sliderPlanets->setMaxValue( 35 );
    sliderPlanets->setValue( 1 );
    sliderPlanets->setOrientation( QSlider::Horizontal );
    tqlayout8->addWidget( sliderPlanets );

    labelMap = new QLabel( this, "labelMap" );
    tqlayout8->addWidget( labelMap );

    tqlayout7 = new QHBoxLayout( 0, 0, 6, "tqlayout7"); 
    spacer7 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout7->addItem( spacer7 );

    map = new MiniMap( this, "map" );
    tqlayout7->addWidget( map );
    spacer7_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout7->addItem( spacer7_2 );
    tqlayout8->addLayout( tqlayout7 );
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout8->addItem( spacer6 );

    tqlayout5 = new QHBoxLayout( 0, 0, 6, "tqlayout5"); 
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5->addItem( spacer3 );

    rejectMap = new QPushButton( this, "rejectMap" );
    tqlayout5->addWidget( rejectMap );
    spacer4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5->addItem( spacer4 );
    tqlayout8->addLayout( tqlayout5 );
    tqlayout9->addLayout( tqlayout8 );
    NewGameDlgUILayout->addLayout( tqlayout9 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    NewGameDlgUILayout->addWidget( line1 );

    labelTurns = new QLabel( this, "labelTurns" );
    NewGameDlgUILayout->addWidget( labelTurns );

    sliderTurns = new QSlider( this, "sliderTurns" );
    sliderTurns->setMinValue( 5 );
    sliderTurns->setMaxValue( 40 );
    sliderTurns->setPageStep( 5 );
    sliderTurns->setOrientation( QSlider::Horizontal );
    NewGameDlgUILayout->addWidget( sliderTurns );
    languageChange();
    resize( QSize(661, 461).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    labelPlayers->setBuddy( sliderPlayers );
    labelPlayerList->setBuddy( listPlayers );
    labelNewPlayer->setBuddy( newPlayer );
    labelPlanets->setBuddy( sliderPlanets );
    labelTurns->setBuddy( sliderTurns );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewGameDlgUI::~NewGameDlgUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewGameDlgUI::languageChange()
{
    labelPlayers->setText( QString::null );
    labelPlayerList->setText( tr2i18n( "Player list:" ) );
    listPlayers->header()->setLabel( 0, tr2i18n( "Name" ) );
    listPlayers->header()->setLabel( 1, tr2i18n( "New Column" ) );
    labelNewPlayer->setText( tr2i18n( "&Human player:" ) );
    addPlayer->setText( tr2i18n( "&Add Human Player" ) );
    labelPlanets->setText( QString::null );
    labelMap->setText( tr2i18n( "Preview map:" ) );
    rejectMap->setText( tr2i18n( "Reject &Map" ) );
    labelTurns->setText( QString::null );
}

#include "newGameDlg_ui.moc"
